Gentoo Archives: gentoo-commits

From: Craig Andrews <candrews@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libsecp256k1/
Date: Fri, 11 Jan 2019 21:39:01
Message-Id: 1547242670.5efbc1b43ee44ecc31d3509662d8537729c1bc04.candrews@gentoo
commit:     5efbc1b43ee44ecc31d3509662d8537729c1bc04
Author:     Luke Dashjr <luke-jr+git <AT> utopios <DOT> org>
AuthorDate: Sat Dec 29 23:00:04 2018 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Fri Jan 11 21:37:50 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5efbc1b4

dev-libs/libsecp256k1: Bump to 0.1_pre20170928

- Update upstream URIs
- Add ppc64 keyword

Signed-off-by: Luke Dashjr <luke-jr+git <AT> utopios.org>
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 dev-libs/libsecp256k1/Manifest                     |  1 +
 .../libsecp256k1-0.1_pre20170928.ebuild            | 70 ++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/dev-libs/libsecp256k1/Manifest b/dev-libs/libsecp256k1/Manifest
index af6b95118a0..3a923d21740 100644
--- a/dev-libs/libsecp256k1/Manifest
+++ b/dev-libs/libsecp256k1/Manifest
@@ -1,2 +1,3 @@
 DIST libsecp256k1-v0.0.0_pre20161213.tgz 147557 BLAKE2B 078cb90c078722e2eb3b5645f9692d737c99ebfe04db5a96dcfb57bb750b31c009cd3ae46f793bb1789239be9689f6e695a5b03477eecea84f2c657d0cc7442c SHA512 f4d16fae972364fd04bfcfbaca1edde4410a7367a936f76c1e93b85ac3c9c45da58785f604a4fc14cdfb4d7a23395d2d274957ad83118e15a236dfff0d0f57dd
+DIST libsecp256k1-v0.1_pre20170928.tgz 150935 BLAKE2B f8b3408a33f36186c07cf931a8183a7a241e6418a846f4c3b248cf87e7a8b33a5a92368aa30310efadb066792eebead7fb48b4f4d902e7c8e9b4209717d7b8c0 SHA512 f480c76ba04b3d731c65227e156eb726b27da92f5dcfbd9b0a34c62e97f9b6dfd5c3fae3180b59244d0c9845fdf624b05f29e097f3ac0032ab15cebc4bf00660
 DIST secp256k1-v0.0.0_pre20151118.tgz 125884 BLAKE2B 7a4fc950006138d04d8d3da35db24be0c568e25202c16f34f94555fde1297fba839fd114a003b5510693de3386de22166c6f1294726fe381ae5b565cb9866a75 SHA512 3cc0a4973acf7936a7c6dc0abc37ee43ecd69e835069ed40765595d36ca597b43837b5d6f90499455599de03abfc775d7c9d019d26216b79b03dd6dc53a73e19

diff --git a/dev-libs/libsecp256k1/libsecp256k1-0.1_pre20170928.ebuild b/dev-libs/libsecp256k1/libsecp256k1-0.1_pre20170928.ebuild
new file mode 100644
index 00000000000..388d889bc11
--- /dev/null
+++ b/dev-libs/libsecp256k1/libsecp256k1-0.1_pre20170928.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools eutils
+
+MyPN=secp256k1
+DESCRIPTION="Optimized C library for EC operations on curve secp256k1"
+HOMEPAGE="https://github.com/bitcoin-core/${MyPN}"
+COMMITHASH="7a78f60598a6aeb635ef227ead50fb44a209c363"
+SRC_URI="https://github.com/bitcoin-core/${MyPN}/archive/${COMMITHASH}.tar.gz -> ${PN}-v${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="+asm ecdh endomorphism experimental gmp java +recovery test test_openssl"
+
+REQUIRED_USE="
+	asm? ( || ( amd64 arm ) arm? ( experimental ) )
+	ecdh? ( experimental )
+	java? ( ecdh )
+	test_openssl? ( test )
+"
+RDEPEND="
+	gmp? ( dev-libs/gmp:0= )
+"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig
+	java? ( virtual/jdk )
+	test_openssl? ( dev-libs/openssl:0 )
+"
+
+S="${WORKDIR}/${MyPN}-${COMMITHASH}"
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	local asm_opt
+	if use asm; then
+		if use arm; then
+			asm_opt=arm
+		else
+			asm_opt=auto
+		fi
+	else
+		asm_opt=no
+	fi
+	econf \
+		--disable-benchmark \
+		$(use_enable experimental) \
+		$(use_enable java jni) \
+		$(use_enable test tests) \
+		$(use_enable test_openssl openssl-tests) \
+		$(use_enable ecdh module-ecdh) \
+		$(use_enable endomorphism)  \
+		--with-asm=$asm_opt \
+		--with-bignum=$(usex gmp gmp no) \
+		$(use_enable recovery module-recovery) \
+		--disable-static
+}
+
+src_install() {
+	dodoc README.md
+	emake DESTDIR="${D}" install
+	find "${D}" -name '*.la' -delete || die
+}